function test_global ()

% see Figures (2-6) of
% Sylvain Marchand and Philippe Depalle,
% Generalization of the Derivative Analysis Method to Non-Stationary Sinusoidal Modeling,
% In Proceedings of the International Conference on Digital Audio Effects (DAFx),
% pages 281-288, Espoo, Finland, September 2008.
%
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.

  N = 511;  % frame size in samples
  Fs = 44100;  % sampling rate in Hz

  test_case (N, Fs, 0, 0);  % no AM, no FM
  test_case (N, Fs, 1, 0);  %    AM, no FM
  test_case (N, Fs, 0, 1);  % no AM,    FM
  test_case (N, Fs, 1, 1);  %    AM,    FM

end
