function [F] = HfcEstimation(X)
%X : signal
%F : 
%
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.


n=size(X,2);
F=zeros(2,n);
c=[0.7358,1.0762,0.5540,0.2346];
d=[0.06,-0.2274,0.335,-0.2274,0.06];
for p=1:4
    F(1,p)=X(1,p)-X(1,1);
end
for p=5:n-4
    F(1,p)=X(1,p)-X(1,1);
    F(2,p)=sum(d.*F(1,p:-1:p-4))-sum(c.*F(2,p-1:-1:p-4));
end


