function r = mfccCompute(s, p)
%
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.

r = audspec(s, p.sr, p.mfcc.nbands, p.mfcc.fbtype, p.mfcc.minfreq, p.mfcc.maxfreq, p.mfcc.sumpower, p.mfcc.bwidth);

r = spec2cep(r, p.mfcc.numcep+1, p.mfcc.dcttype);
r = lifter(r, p.mfcc.lifterexp);
r = r(2:end, :);