function it = getInstrumentType(databaseType)
%
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.

switch char(databaseType)
    case 'iowa'
        it = {'Ba', 'Bo', 'Cb', 'Cl', 'Co', 'Fh', 'Fl', 'Ob', 'Pn', 'Sa', 'Ta', 'Tb', 'Tr', 'Va', 'Vl'};
    case 'rwc'
        it = {'Ba', 'Bo', 'Cl', 'Co', 'Fh', 'Fl', 'Ob', 'Pn', 'Sa', 'Ta', 'Tb', 'Tr', 'Va', 'Vl'};        
    case 'solos'
         it = {'As', 'Ba', 'Bo', 'Bs', 'Cl', 'Co', 'Dr', 'Fh', 'Fl', 'Gt', 'Ob', 'Pn', 'Ss', 'Ta', 'Tb', 'Tr', 'Ts', 'Va', 'Vl'};               
    case 'polyInclusive'
        
    case 'polyExclusive'
        
end